Synchronet now requires the libarchive development package (e.g. libarchive-dev on Debian-based Linux distros, libarchive.org for more info) to build successfully.

Commits (1)
......@@ -27,6 +27,17 @@ ifeq ($(shell perl -e 'print "$(machine)"=~/\.arm/?"YES":"NO"'),YES)
endif
endif
endif
# OS/2 and "GNU" (HURD?) also need this, but we never plan to support them.
ifneq ($(os),darwin)
ifneq ($(os),linux)
ifneq ($(os),freebsd)
ifneq ($(os),sunos)
JS_CONFIGURE_ARGS += '--disable-tracejit'
endif
endif
endif
endif
JS_CONFIGURE_ENV += 'CXXFLAGS=$(CXXFLAGS)'
.PHONY: cryptlib libmozjs
......